Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13373/?format=api
{ "ob_id": 13373, "uuid": "080376e8868a44ceb0c8df69108590ba", "title": "Chilbolton Facility for Atmospheric and Radio Research (CFARR): net flux radiometer data from the Chilbolton Observatory", "abstract": "Continuous measurements are made using a Kipp & Zonen CNR4 net flux radiometer. It measures both downwelling and upwelling radiation in 2 wavelength bands which are common to many similar instruments. A shorter wavelength band measures radiation received from the sun. It encompasses the visible spectrum, together with near infrared and longer wavelength ultraviolet, over a wavelength range of approximately 0.29 - 2.8 µm. It shows a clear response to the day/night cycle. Clouds and other aerosols reduce the detected radiation. A longer wavelength band measures longer wavelength infrared radiation (approximately 4.5 - 32 µm) produced by emission from the atmosphere and earth's surface. It does not respond significantly to the day/night cycle but changes according to the time of year and degree of cloud cover. ", "keywords": "CFARR, radiometer", "publicationState": "published", "dataPublishedTime": "2014-02-10T12:00:00", "doiPublishedTime": null, "updateFrequency": "monthly", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13371/?format=api", "dataPath": "/badc/chilbolton/data/net-flux-radiometer", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 4828923753, "numberOfFiles": 2343, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3615/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/92/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/26208/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50512/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/54762/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/54763/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/54764/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57536/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/62125/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/62126/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/62127/?format=api" ], "dataLineage": "Data are collected by the Chilbolton Facility for Atmospheric and Radio Research (CFARR) facility, then checked by the instrument scientist ahead of delivery for archiving at the data centre.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/3464/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3461/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7378/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32603/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/103968/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51061/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51062/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51063/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/103964/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/103965/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/103966/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51060/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/103967/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/13372/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }